from omniscope.api import OmniscopeApi
import pyarrow.parquet as pq
import os


def is_parquet_file(filename, folder):
    return os.path.isfile(os.path.join(folder, filename)) and filename.split(".")[-1] == "parquet"

omniscope_api = OmniscopeApi()

# retrieve the folder where the parquet file are located from the options.
folder = omniscope_api.get_option("folder") 

# retrieve the list of parquet files
parquet_files = [f for f in os.listdir(folder) if is_parquet_file(f, folder)]

for parquet_file in parquet_files:
    # Update UI message
    omniscope_api.update_message("Reading "+str(parquet_file))
    
    # read each parquet file in a data frame
    df = pq.read_pandas(os.path.join(folder, parquet_file)).to_pandas()
    
    # append each dataframe to the Omniscope ouput named 'Output'
    omniscope_api.write_output(df, "Output")
omniscope_api.close()